Bug 496496 - Sporadic network and keyboard non-responsiveness after suspend
Sporadic network and keyboard non-responsiveness after suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 13:17 EDT by Brad Smith
Modified: 2009-07-14 11:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:54:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2009-04-19 13:17:28 EDT
Description of problem:
Unfortunately this is not 100% reproducible, but it seems to be happening more than 50% of the time, and only since I performed a long-overdue 'yum update'. Under the old kernel, which I think was kernel-2.6.27.12-78.2.8.fc9.i686 I did not have these problems.

Version-Release number of selected component (if applicable):
2.6.27.21-78.2.41.fc9.i686

How reproducible:
Most, but not all, of the time.

Steps to Reproduce:
Suspend and un-suspend laptop
  
Actual results:
There are a few symptoms that appear in various combinations. One is the network card disappearing. Most of the time NetworkManager will say that networking has been disabled. Sometimes re-loading the driver (iwl3945 for the wireless card on my Thinkpad in this case) and re-starting NetworkManager will fix the problem. Sometimes it does not, and sometimes, after a few seconds, the keyboard becomes unresponsive as a result. This is also sometimes an immediate effect after coming out of suspend, though it is less common than the network problem. The mouse still works and the system is still responsive, but no keyboard input, including 'ctrl-alt-f#' does anything. The only solution I have found when this happens is to power-cycle the machine. Attempts to re-suspend the machine just cause it to hang.

Expected results:
Full restoration of functionality

Additional info:
I can bring my laptop over to someone in the Westford office if it would be helpful to observe this behavior first-hand.
Comment 1 Bug Zapper 2009-06-09 23:40:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:54:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.